ONVIF::Analytics::Types::PTZStatus(3pm)

NAME
ONVIF::Analytics::Types::PTZStatus

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZStatus from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Position

•   MoveStatus

•   Error

•   UtcTime

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::PTZStatus
   Position =>  { # ONVIF::Analytics::Types::PTZVector
     PanTilt => ,
     Zoom => ,
   },
   MoveStatus =>  { # ONVIF::Analytics::Types::PTZMoveStatus
     PanTilt => $some_value, # MoveStatus
     Zoom => $some_value, # MoveStatus
   },
   Error =>  $some_value, # string
   UtcTime =>  $some_value, # dateTime
 },

AUTHOR
Generated by SOAP::WSDL